me.legofreak107.vehiclesplus.vehicles.hitbox

## Class HitBox

- java.lang.Object
- - me.legofreak107.vehiclesplus.vehicles.hitbox.HitBox

    public class HitBox
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`HitBox(StorageHitbox hitbox)` Hitbox constructor

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.HashMap<java.lang.Integer,java.util.HashMap<org.bukkit.util.Vector,HitBoxSide>>` `getOffsetsBasedOnRotation()` A map of hitbox points based on vehicle rotation
`java.util.HashMap<org.bukkit.util.Vector,HitBoxSide>` `getPointOffsets(java.lang.Integer rotation)` Get the offset map based on rotation
`boolean` `isReady()` Is this data done loading async and ready to use

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HitBox

    public HitBox(StorageHitbox hitbox)

Hitbox constructor

This calculate all point offsets async

Parameters:
  `hitbox` - the StorageHitbox (Sizes)

### Method Detail

#### getPointOffsets

    public java.util.HashMap<org.bukkit.util.Vector,HitBoxSide> getPointOffsets(java.lang.Integer rotation)

Get the offset map based on rotation

Parameters:
  `rotation` - yaw int
Returns:
  a map of vector offsets

#### getOffsetsBasedOnRotation

    public java.util.HashMap<java.lang.Integer,java.util.HashMap<org.bukkit.util.Vector,HitBoxSide>> getOffsetsBasedOnRotation()

A map of hitbox points based on vehicle rotation

Key: yaw int Value: A map of offset vectors and a side

#### isReady

    public boolean isReady()

Is this data done loading async and ready to use